Page MenuHomePhabricator

Define Wiki Release team goals
Closed, ResolvedPublic

Description

We need to document the Wiki Release team goals, and for this we can use the same pattern of quarterly goals used by the WMF. For example, see

Then, you are encouraged to specify monthly goals per person, see for instance https://www.mediawiki.org/wiki/Engineering_Community_Team/Planning/2014/08

Needless to say, the monthly goals should describe the steps needed to achieve the quarterly and annual goals. And all this needs to have a correspondence with the plans for each MediaWiki release. In every monthly sprint meeting we can review the goals planned a month ago and set new goals for the upcoming goal. Similarly, in the quarterly reviews we can review the past goals and fine tune the goals for the next quarter.

I hope this doesn't sound too complicated! It makes the actual planning and work simpler and more accountable.

Details

Reference
fl548

Event Timeline

flimport raised the priority of this task from to High.Sep 12 2014, 1:45 AM
flimport set Reference to fl548.

qgil wrote on 2014-08-28 08:14:05 (UTC)

Two working days before the end of August. I hope you find the time to define at least the goals for September.

hexmode wrote on 2014-08-28 13:38:46 (UTC)

We'll have time for this tomorrow. In the meantime, is there any good how-tos for making the best use of Phabricator?

hexmode wrote on 2014-08-28 13:43:01 (UTC)

To be clear, Quim, we've already done a lot of this work. It just isn't in Phabricator and that is what is holding us up.

qgil wrote on 2014-08-28 20:45:49 (UTC)

You can start creating one task for each goal. https://www.mediawiki.org/wiki/Phabricator/Help#Creating_a_task

Palexis wrote on 2014-08-28 21:05:49 (UTC)

Thanks, Quim!

Palexis wrote on 2014-08-31 12:47:36 (UTC)

Hi Quim,

Please let me know if the recently created tasks for the release and user group responsibilities are what you are looking for and provides enough information and communication. It is very similar to how we have bee structuring our work.

qgil wrote on 2014-08-31 19:12:53 (UTC)

Looking very good. Thank you!

Tasks under "Doing" are supposed to have someone assigned and a priority defined. We haven't defined a common workflow, and I don't know whether we will ever have one, but a good rule of thumb with priorities is:

  • Unbreak Now! - it needs attention right now / today.
  • High - very soon / ongoing work / current sprint.
  • Normal - current sprint / candidate for a following sprint.
  • Low - will do, but don't know when yet.
  • Needs Volunteer - not in your plans.

Palexis wrote on 2014-09-01 00:02:35 (UTC)

Quim, do I need special permission to assign tasks and define the priority? I cannot seem to figure out how to do this under my current view.

In T363#1, @flimport wrote:

qgil wrote on 2014-08-28 08:14:05 (UTC)

Two working days before the end of August. I hope you find the time to define at least the goals for September.

Three working days before the end of September. Have you documented your goals for this month?

Palexis set Security to None.

Created {t442}, {t443}, and {t412}

the monthly goals should describe the steps needed to achieve the quarterly and annual goals.

Have you defined annual and quarterly goals?

After a casual conversation with Alexis:

Please have in a wiki page of your choice something like this: https://www.mediawiki.org/wiki/Wikimedia_Engineering/2014-15_Goals#Engineering_Community

That is:

  • A short list of very high level annual goals -- where you want to be by the end of July 2015.
  • A box for each natural quarter (July-September 2014, October-December 2014...) with the goals you want to complete during that quarter, that will lead you to accomplish the annual goals.

Below that level we have monthly goals and other tasks leading you to accomplish the quarterly goals, which can be organized in Phabricator tasks. These tasks must be formulated in a way that can be Closed Resolved.

Resolved, hopefully for good this time. :)